Text for geom

Hi all!

I just made a few geometries without any Viewer o(nly MODELING DATA and IGES_CONTROLWRITER were used) like:
=================================
tempPnt.SetCoord( pnt1.x, pnt1.y, pnt1.z);
tempPnt2.SetCoord( v1.x, v1.y, v1.z);
Handle(Geom_TrimmedCurve) curve = GC_MakeSegment(tempPnt , tempPnt2);
aSequence->Append(BRepBuilderAPI_MakeEdge(curve));
========================================

It's all working fine.
Now i want to know how i can write a text to an IGES using IGESControl_Writer?

Mathias Neyer's picture

Éxcuse me, i forgot to say that i would be very happy if you could give me a answer :-D

best regards

Mathias

Mathias Neyer's picture

I want to specify my questions a lil bit.

if i have a Graphic2d_Text object, how can i get something like TopoDS_Shape or something?

Is there a BRepBuilderAPI_?????? or something to do that.

thanks for your suggestions

best regards

mathias